FYI, just opened a SR regarding the new sap user shim 3.6.2:

the new SAP User driver shim (JCo3) at http://download.novell.com/protected...d=3mpkFybT-hA~ has two issues:

1. the rpm for Linux conflicts with the SAP HR (JCo3) rpm:

hamburgidm03:/home/install # rpm -Uvh novell-DXMLsapus.rpm
Preparing... ########################################### [100%]
file /opt/novell/eDirectory/lib/dirxml/rules/sapum/sapuser.sch from install of novell-DXMLsapus-1.1.0-20100223.noarch conflicts with file from package novell-DXMLsapum-3.5.3-20090520.noarch

it might be a good idea to NOT share the /opt/novell/eDirectory/lib/dirxml/rules/sapum folder for both the sapum and the sapus driver shim versions...

2. the above patch includes a separate jco3environment.jar file, which should be included as part of the RPM, imho, since
a) the driver will not work without it, and
b) the RPM already includes the UserJCO3Test.class, which is not even necessary to run the driver

Cheers, Lothar